# BarcodeRecognizerConfiguration class

Configuration of the scanning behavior.

## Constructors

BarcodeRecognizerConfiguration({List<BarcodeDocumentFormat>? acceptedDocumentFormats, BarcodesExtensionFilter barcodesExtensionFilter = BarcodesExtensionFilter.NO_FILTER, String barcodesRegexFilter = "", int minimumTextLength = 0, int maximumTextLength = 0, int minimum1DBarcodesQuietZone = 10, bool stripCheckDigits = false, List<BarcodeFormat>? barcodeFormats, MSIPlesseyChecksumAlgorithm msiPlesseyChecksumAlgorithm = MSIPlesseyChecksumAlgorithm.MOD_10, bool lowPowerMode = false, CodeDensity codeDensity = CodeDensity.LOW, Gs1Handling gs1Handling = Gs1Handling.PARSE})
BarcodeRecognizerConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

acceptedDocumentFormats ↔ List<BarcodeDocumentFormat>
  List of accepted barcode document formats.
  getter/setter pair
barcodeFormats ↔ List<BarcodeFormat>
  List of accepted barcode symbologies.
  getter/setter pair
barcodesExtensionFilter ↔ BarcodesExtensionFilter
  Filter for extended EAN and UPC barcodes. Default is NO_FILTER
  getter/setter pair
barcodesRegexFilter ↔ String
  Regular expression filter for barcode text. If the barcode text does not match the regular expression, it will not be scanned. The default is an empty string (setting is turned off). This option overrides `barcodesExtensionFilter` option. Default is ""
  getter/setter pair
codeDensity ↔ CodeDensity
  The expected quantity of QR codes in an image. Default is LOW
  getter/setter pair
gs1Handling ↔ Gs1Handling
  The expected way of handling GS1_COMPOSITE barcodes. Default is PARSE
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
lowPowerMode ↔ bool
  If `true`, enables a mode that slightly decreases scanning quality and energy consumption. Increases scanning speed. If `false`, the mode is disabled. The default is `false`. Android only. Default is false
  getter/setter pair
maximumTextLength ↔ int
  Optional maximum text length of the detected barcode. The default is 0 (setting is turned off). NOTE - This feature works on ITF barcodes only. Default is 0
  getter/setter pair
minimum1DBarcodesQuietZone ↔ int
  Optional minimum required quiet zone on the barcode. Measured in modules (the smallest bar size on a barcode). The default is 10. NOTE - This feature works on ITF barcodes only. Default is 10
  getter/setter pair
minimumTextLength ↔ int
  Optional minimum required text length of the detected barcode. The default is 0 (setting is turned off). NOTE - This feature works on ITF barcodes only. Default is 0
  getter/setter pair
msiPlesseyChecksumAlgorithm ↔ MSIPlesseyChecksumAlgorithm
  Checksum algorithm used for MSI Plessey barcodes. The default value is MOD_10. Default is MOD_10
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
stripCheckDigits ↔ bool
  If `true`, check digits for UPC, EAN and MSI Plessey codes are removed from the result. Has no effect if both single and double digit MSI Plessey checksums are enabled. The default is `false`. Default is false
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited